| Home | Libraries | People | FAQ | More

## Macro BOOST_DLL_ALIAS_SECTIONED

BOOST_DLL_ALIAS_SECTIONED — Same as BOOST_DLL_ALIAS but puts alias name into the user specified section.

## Synopsis

    // In header: <boost/dll/alias.hpp>

    BOOST_DLL_ALIAS_SECTIONED(FunctionOrVar, AliasName, SectionName)

## Description

Example:

    namespace foo {
      void bar(std::string&);

      BOOST_DLL_ALIAS_SECTIONED(foo::bar, foo_bar, sect_1) // section "sect_1" now exports "foo_bar"
    }

Parameters:

`AliasName` | Name of the alias. Must be a valid C identifier.
`FunctionOrVar` | Function or variable for which an alias must be made.
`SectionName` | Name of the section. Must be a valid C identifier without quotes not longer than 8 bytes.